#include "socket.h"
#include "linserver.h"
#include <stdlib.h>

void socksClientService(int handle,char *sockshost,int socksport) {
	QSocket client,server;
	char host[256],port[20];
	client.attach(handle);
	client.setException(true);
	server.setException(true);
	try {
		client.write("Welcome to "); client.write(VERSION);
		client.write(" - SOCKS5 Client Ready\r\nHost> ");
		client.readline(host,256);
		client.write("Port> ");
		client.readline(port,20);

		client.write("\r\nTrying...");
		if (!server.connectSOCKS(host,atoi(port),sockshost,socksport)) {
			client.write("Failed\r\n");
			return;
		}
		client.write("Connected\r\n");
		QSocket::connectService(server.handle,client.handle);
	}
	catch(...) {
		return;
	}
}

