#include "message.h"
#include "socket.h"
#include "linserver.h"
#include <stdlib.h>

int forwardService(bool socks,int handle,char *forwardHost,int forwardPort,
		char *sockshost,int socksport) {
	QSocket client,server;

	client.attach(handle);
	int total;
	bool res;
	try {
		if (!socks) res=server.connect(forwardHost,forwardPort);
		else res=server.connectSOCKS(forwardHost,forwardPort,sockshost,socksport);
		if (!res)
			return;
		total=QSocket::connectService(client,server);
		msgSend("Host:%s:%d, Data Transferred: %d",client.targetHost,
			client.targetPort,total);
	}
	catch(...) {
		msgSend("Host:%s:%d, Data Transferred: %d",client.targetHost,
			client.targetPort,total);
		return total;
	}
	return total;
}

